<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from suifmath.texi on 28 April 1999 -->

<TITLE>The SUIFMATH Library - Vector Spaces for Linear Algebra</TITLE>
<link href="suifmath_28.html" rel=Next>
<link href="suifmath_26.html" rel=Previous>
<link href="suifmath_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="suifmath_1.html">first</A>, <A HREF="suifmath_26.html">previous</A>, <A HREF="suifmath_28.html">next</A>, <A HREF="suifmath_37.html">last</A> section, <A HREF="suifmath_toc.html">table of contents</A>.
<P><HR><P>


<H2><A NAME="SEC31" HREF="suifmath_toc.html#TOC31">Vector Spaces for Linear Algebra</A></H2>

<P>
<A NAME="IDX488"></A>
<A NAME="IDX489"></A>
<A NAME="IDX490"></A>
A <STRONG>vector_space</STRONG> is a set of vectors such that (1) if we add any two
vectors <CODE>x</CODE> and <CODE>y</CODE> in the space, their sum <CODE>x+y</CODE> is also
in the space, and (2) if we multiply any vector <CODE>x</CODE> in the space by
a scalar <CODE>c</CODE>, then <CODE>cx</CODE> is still in the space.  The
<CODE>vector_space</CODE> class is built using the <CODE>matrix</CODE>
(see section <A HREF="suifmath_31.html#SEC35">Matrices for Linear Algebra</A>) class and the
<STRONG>fract_vector_list</STRONG> class (a list of <CODE>fract_vectors</CODE>).  The
vector space is represented either by a list independent vectors, or by
the column vectors of the matrix.  Only one of the two representations
is stored at any given time.  If the other representation is needed,
then it is recalculated.  The class also contains an integer
<CODE>space</CODE> that corresponds to the dimension of vector space; that is,
the maximum number of dimensions that this vector space could possibly
span.  All basis vectors in the <CODE>fract_vector_list</CODE> representation
must have <CODE>space</CODE> elements.  Alternatively, the matrix in the
<CODE>matrix</CODE> representation must have <CODE>space</CODE> rows.

</P>

<UL>
<LI><A HREF="suifmath_28.html#SEC32">Basic Vector Space Functions</A>: Standard vector space functions
<LI><A HREF="suifmath_29.html#SEC33">Vector Space Math Operations</A>: Functions on vector spaces
<LI><A HREF="suifmath_30.html#SEC34">Vector Space Utilities</A>: Utilities for manipulating vector spaces
</UL>

<P><HR><P>
<p>Go to the <A HREF="suifmath_1.html">first</A>, <A HREF="suifmath_26.html">previous</A>, <A HREF="suifmath_28.html">next</A>, <A HREF="suifmath_37.html">last</A> section, <A HREF="suifmath_toc.html">table of contents</A>.
</BODY>
</HTML>
